curl --request PUT \
--url https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerReferenceId": "12345",
"locale": "en_US",
"email": "customer@example.com",
"firstName": "Pat",
"lastName": "Kake",
"communicationPreference": {
"email": true,
"sms": true
},
"contactnumber": "+923333709568",
"middleName": "E",
"segment": [
"employee"
],
"employeeId": "345"
}
'import requests
url = "https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id}"
payload = {
"customerReferenceId": "12345",
"locale": "en_US",
"email": "customer@example.com",
"firstName": "Pat",
"lastName": "Kake",
"communicationPreference": {
"email": True,
"sms": True
},
"contactnumber": "+923333709568",
"middleName": "E",
"segment": ["employee"],
"employeeId": "345"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerReferenceId: '12345',
locale: 'en_US',
email: 'customer@example.com',
firstName: 'Pat',
lastName: 'Kake',
communicationPreference: {email: true, sms: true},
contactnumber: '+923333709568',
middleName: 'E',
segment: ['employee'],
employeeId: '345'
})
};
fetch('https://prod01.copilot.fabric.inc/data-subscription/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "62cffd65e8d7eb868c6a29d6",
"customerReferenceId": "12345",
"locale": "en_US",
"email": "customer@example.com",
"contactNumber": "+923333709568",
"firstName": "Pat",
"middleName": "E",
"lastName": "Kake",
"segment": [
"employee"
],
"employeeId": "345",
"communicationPreference": {
"email": true,
"sms": true
},
"status": "ACTIVE",
"createdAt": "2021-10-12T21:35:05.756Z",
"updatedAt": "2021-10-14T05:40:55.997Z"
}{
"responseStatus": "BAD_REQUEST",
"message": "Bad request"
}{
"responseStatus": "NOT_FOUND",
"message": "Not found"
}Update single subscriber
Update a single subscriber, specified by customer ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Customer ID
"62cffd65e8d7eb868c6a29d6"
Body
Details of customer being updated
Customer details
Unique customer reference ID
"12345"
Customer locale (language_country)
"en_US"
Customer's email address
"customer@example.com"
Customer's first name
"Pat"
Customer's last name
"Kake"
Customer's communications preferences
Show child attributes
Show child attributes
Customer's contact number
"+923333709568"
Customer's middle name or initial
"E"
Customer's segments
Customer's segment (employee, management, pro user, etc.)
Customer employee ID
"345"
Response
Request processed successfully
Customer details after creation
Customer ID
"62cffd65e8d7eb868c6a29d6"
Customer reference ID
"12345"
Customer locale (language_country)
"en_US"
Customer's email address
"customer@example.com"
Customer's contact number
"+923333709568"
Customer's first name
"Pat"
Customer's middle name or initial
"E"
Customer's last name
"Kake"
Customer's segments
Customer's segment (employee, management, pro user, etc.)
Customer employee ID
"345"
Customer's communications preferences
Show child attributes
Show child attributes
Customer status
ACTIVE, INACTIVE "ACTIVE"
Time customer was created
"2021-10-12T21:35:05.756Z"
Most recent time customer was updated
"2021-10-14T05:40:55.997Z"
Was this page helpful?
